<!DOCTYPE html>
<html style="background-color: {{ backgroundColor }};">
  <head>
    <script>
      window._serverData = {
        domain: '{{ domain }}',
        name: '{{ name }}',
        hub: '{{ hub }}',
        homepage: '{{ homepage }}',
        imageAttributionUrl: '{{ imageAttributionUrl }}',
        imageAttributionText: '{{ imageAttributionText }}',
        username: '{{ username }}',
        immer: '{{ immer }}',
        clientName: '{{ clientName }}',
        redirectUri: '{{ redirectUri }}',
        transactionId: '{{ transactionId }}',
        loggedInUser: '{{ loggedInUser }}',
        preferredScope: '{{ preferredScope }}'.split(' '),
        emailOptInURL: '{{ emailOptInURL }}',
        loginTab: '{{ loginTab }}'
      }
      {% if icon %}window._serverData.icon = '/static/{{ icon }}'{% endif %}
    </script>
    <title>{% block title %}{{ name }}{% endblock %}</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    {% if icon %}
    <link rel="icon" href="/static/{{ icon }}">
    {% endif %}
    {% if monetizationPointer %}
    <meta name="monetization" content="{{ monetizationPointer }}">
    {% endif %}
    <style>
      {% if googleFont %}
      #body h1 { font-family: '{{ googleFont }}', monospace; }
      {% endif %}
      {% if backgroundImage %}
      #body .bg { background-image: url('/static/{{ backgroundImage }}'); }
      {% endif %}
      {% if backgroundColor %}
      #body .bg { background-color: {{ backgroundColor }}; }
      {% endif %}
    </style>
  {% if googleFont %}
    <link href="https://fonts.googleapis.com/css2?family={{ googleFont }}&family=VT323&display=swap" rel="stylesheet">
  {% else %}
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Poppins&display=swap" rel="stylesheet"> 
  {% endif %}
    {% block head %}{% endblock %}
  </head>
  <body id="body">
    {% block content %}{% endblock %}
    {% block script %}{% endblock %}
    {% if customCSS %}
      <link rel="stylesheet" href="/static/{{ customCSS }}">
    {% endif %}
  </body>
</html>
